package cn.pluss.platform.helpVideo.impl;

import java.util.List;
import java.util.Map;

import cn.pluss.platform.appVersionInfo.AppVersionInfoService;
import cn.pluss.platform.entity.AppVersionInfo;
import cn.pluss.platform.mapper.AppVersionInfoMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.HelpVideo;
import cn.pluss.platform.helpVideo.HelpVideoService;
import cn.pluss.platform.mapper.HelpVideoMapper;

@Transactional
@Service("helpVideoService")
public class HelpVideoServiceImpl  extends ServiceImpl<HelpVideoMapper, HelpVideo> implements HelpVideoService {

    private static final Logger logger = LoggerFactory.getLogger( HelpVideoServiceImpl.class);


    @Autowired
    private HelpVideoMapper helpVideoMapper;

    @Override
    public HelpVideo queryHelpVideo(HelpVideo helpVideo){
        return helpVideoMapper.queryHelpVideo(helpVideo);
    }

    @Override
    public List<HelpVideo> queryHelpVideoList(HelpVideo helpVideo){
        return helpVideoMapper.queryHelpVideoList(helpVideo);
    }
    @Override
    public void saveHelpVideo(HelpVideo helpVideo){
        helpVideoMapper.saveHelpVideo(helpVideo);
    }
    @Override
    public void updateHelpVideo(HelpVideo helpVideo){
        helpVideoMapper.updateHelpVideo(helpVideo);
    }
    @Override
    public void deleteHelpVideo(HelpVideo helpVideo){
        helpVideoMapper.deleteHelpVideo(helpVideo);
    }
    @Override
    public List<HelpVideo> queryHelpVideoPage(Map map){
        return helpVideoMapper.queryHelpVideoPage(map);
    }
    @Override
    public Integer queryHelpVideoPageCount(Map map){
        return helpVideoMapper.queryHelpVideoPageCount(map);
    }
    @Override
    public void saveHelpVideoBatch(List<HelpVideo> helpVideoList) {
        helpVideoMapper.saveHelpVideoBatch(helpVideoList);
    }
}

